import { PropType } from 'vue';
export declare const Text: import("@vue/runtime-core").DefineComponent<import("@vue/runtime-core").ExtractPropTypes<{
    /** The text field data. */
    field: {
        type: PropType<{
            value?: string | number;
            editable?: string;
        }>;
        default(): {
            value?: string | number;
            editable?: string;
        };
        required: true;
    };
    /**
     * The HTML element that will wrap the contents of the field.
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value, then `field.editable` will
     * be processed and rendered as component output. If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If false, HTML-encoding of the field value is disabled and the value is rendered as-is.
     */
    encode: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {}, {}, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    /** The text field data. */
    field: {
        type: PropType<{
            value?: string | number;
            editable?: string;
        }>;
        default(): {
            value?: string | number;
            editable?: string;
        };
        required: true;
    };
    /**
     * The HTML element that will wrap the contents of the field.
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value, then `field.editable` will
     * be processed and rendered as component output. If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If false, HTML-encoding of the field value is disabled and the value is rendered as-is.
     */
    encode: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{}>, {
    field: {
        value?: string | number;
        editable?: string;
    };
    editable: boolean;
    tag: string;
    encode: boolean;
}, {}, {}, {}, string, import("@vue/runtime-core").ComponentProvideOptions, true, {}, any>;
